@ECHO OFF

REM * ---[ DESCRIPTION SECTION ]-------------------------------------

REM *****************************************************************
REM * Author: Thomas Koetzing, Thomas@KoetzingIT.de
REM * Download at: http://www.KoetzingIT.de
REM * Created: 05/01/2017
REM * Last Update: 15/01/2017
REM * Version: 1.0
REM *
REM * Download Mozilla Firefox
REM * https://www.mozilla.org/firefox/organizations/all.html
REM *
REM * Purpose:
REM * Installes Mozilla FireFox 
REM * 
REM * Version History:  v1.0 initial release 15/01/2017 (Thomas Koetzing)
REM *			
REM *	
REM *
REM *****************************************************************

REM * ---[ INSTALL SECTION ]-----------------------------------------

REM *****************************************************************
REM * Installtion Mozilla FireFox 
REM * ---------------------------------------------------------------
REM * Currpath= Current Path (default %~dp0 = current folder location, must set with W2K)
REM * -ms for silent, /INI=<full path to ini file>
REM *****************************************************************
SET CURRPATH=%~dp0
Start "Install FireFox" /wait "%CURRPATH%\Firefox Setup 45.6.0esr.exe" /INI="%CURRPATH%\ff_install.ini"


REM *****************************************************************
REM *  Copy Firefox configuration files
REM * ---------------------------------------------------------------
REM *  autoconfig.js, overwrite.ini and mozilla.cfg
REM *****************************************************************
copy /y "%CURRPATH%\autoconfig.js" "%ProgramFiles%\Mozilla FireFox\defaults\pref"
copy /y "%CURRPATH%\mozilla.cfg" "%ProgramFiles%\Mozilla FireFox"
copy /y "%CURRPATH%\overwrite.ini" "%ProgramFiles%\Mozilla FireFox"


REM *****************************************************************
REM *  Create profile.ini and folder through group policy perferences
REM * ---------------------------------------------------------------
REM *  [General]
REM *  StartWithLastProfile=1
REM *  
REM *  [Profile0]
REM *  Name=default
REM *  IsRelative=0
REM *  Path=<HomeDrive>\Windows\<FireforxProfile>
REM *  Default=1
REM *  
REM *****************************************************************
